import request from '@/utils/request'

// 查询列表
export function listEntry(query) {
  return request({
    url: '/personnel/relations/entry/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getEntry(dictId) {
  return request({
    url: '/personnel/relations/entry/get?id=' + dictId,
    method: 'get'
  })
}

// 新增
export function addEntry(data) {
  return request({
    url: '/personnel/relations/entry/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateEntry(data) {
  return request({
    url: '/personnel/relations/entry/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delEntry(dictId) {
  return request({
    url: '/personnel/relations/entry/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出
export function exportEntry(query) {
  return request({
    url: '/personnel/relations/entry/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}